<?php
defined('USER_INFO_TRACKING_PATH') or die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// | Configuration tab                                                     |
// +-----------------------------------------------------------------------+

// save config
if (isset($_POST['save_config']))
{
  $conf['user_info_tracking'] = array(
    'uiPerPage' => intval($_POST['uiPerPage']),
    'uiDefaultSortColumn' => $_POST['uiDefaultSortColumn'],
    'uiDefaultSortOrder' => $_POST['uiDefaultSortOrder'],
    'uiDateFormat' => '%c',

    );
      
  conf_update_param('user_info_tracking', serialize($conf['user_info_tracking']));
  array_push($page['infos'], l10n('Information data registered in database'));
}


// send config to template
$template->assign(array(
  'user_info_tracking' => $conf['user_info_tracking'],

  ));

// Config Listings
$template->assign(array(
  'uiPerPageList' => array('10', '25', '50', '100', '150', '200', '250'),
  'uiDefaultSortOrderList' => array('ASC', 'DES'),
  'uiDefaultSortOrderList2' => array('Ascending', 'Descending'),
  'uiDefaultSortColumnList' => array('id', 'userId', 'userName', 'ipAddress', 'timeStamp', 'action'),
  'uiDefaultSortColumnList2' => array('ID', 'User ID', 'User Name', 'IP Address', 'Time Stamp', 'Action'),
  ));



// define template file
$template->set_filename('user_info_tracking_content', realpath(USER_INFO_TRACKING_PATH . 'admin/template/config.tpl'));

?>