<?php
/**
 * This is the main administration page, if you have only one admin page you can put 
 * directly its code here or using the tabsheet system like bellow
 */

defined('USER_INFO_TRACKING_PATH') or die('Hacking attempt!');
 
global $template, $page, $conf;


// get current tab
$page['tab'] = (isset($_GET['tab'])) ? $_GET['tab'] : $page['tab'] = 'home';

// plugin tabsheet is not present on photo page
if ($page['tab'] != 'photo')
{
  // tabsheet
  include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
  $tabsheet = new tabsheet();
  $tabsheet->set_id('skeleton');
  
  $tabsheet->add('home', l10n('Data'), USER_INFO_TRACKING_ADMIN . '-home');
  $tabsheet->add('config', l10n('Configuration'), USER_INFO_TRACKING_ADMIN . '-config');
  $tabsheet->select($page['tab']);
  $tabsheet->assign();
}

// include page
include(USER_INFO_TRACKING_PATH . 'admin/' . $page['tab'] . '.php');

// template vars
$template->assign(array(
  'USER_INFO_TRACKING_PATH'=> get_root_url() . USER_INFO_TRACKING_PATH, // used for images, scripts, ... access
  'USER_INFO_TRACKING_ABS_PATH'=> realpath(USER_INFO_TRACKING_PATH),    // used for template inclusion (Smarty needs a real path)
  'USER_INFO_TRACKING_ADMIN' => USER_INFO_TRACKING_ADMIN,
  ));
  
// send page content
$template->assign_var_from_handle('ADMIN_CONTENT', 'user_info_tracking_content');

?>